Index: trunk/kernel/obj.tsar/fs/fat32/fat32_access.d
===================================================================
--- trunk/kernel/obj.tsar/fs/fat32/fat32_access.d	(revision 1)
+++ trunk/kernel/obj.tsar/fs/fat32/fat32_access.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/fs/fat32/fat32_access.o: fs/fat32/fat32_access.c kern/driver.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h libk/list.h kern/kmagics.h kern/event.h kern/device.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h kern/spinlock.h \
+ mm/kmem.h mm/kcm.h kern/rwlock.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/time.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h \
+ kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h mm/page.h mm/pmm.h arch/tsar/arch-pmm.h kern/thread.h \
+ kern/cluster.h mm/ppm.h mm/heap_manager.h mm/mapper.h kern/radix.h \
+ vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h fs/fat32/fat32-private.h
Index: trunk/kernel/obj.tsar/fs/fat32/fat32_context.d
===================================================================
--- trunk/kernel/obj.tsar/fs/fat32/fat32_context.d	(revision 1)
+++ trunk/kernel/obj.tsar/fs/fat32/fat32_context.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/fs/fat32/fat32_context.o: fs/fat32/fat32_context.c kern/kdmsg.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/spinlock.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/rwlock.h kern/wait_queue.h mm/page.h kern/cluster.h mm/ppm.h \
+ mm/heap_manager.h kern/thread.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h fs/fat32/fat32-private.h
Index: trunk/kernel/obj.tsar/fs/fat32/fat32_file.d
===================================================================
--- trunk/kernel/obj.tsar/fs/fat32/fat32_file.d	(revision 1)
+++ trunk/kernel/obj.tsar/fs/fat32/fat32_file.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/fs/fat32/fat32_file.o: fs/fat32/fat32_file.c libk/stdint.h \
+ mm/kmem.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h mm/kcm.h \
+ libk/list.h kern/kmagics.h kern/spinlock.h libk/string.h mm/ppm.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/ctype.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/page.h mm/mapper.h kern/radix.h kern/rwlock.h \
+ vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h mm/ppn.h kern/thread.h \
+ kern/sys-vfs.h fs/fat32/fat32-private.h
Index: trunk/kernel/obj.tsar/fs/fat32/fat32_mapper.d
===================================================================
--- trunk/kernel/obj.tsar/fs/fat32/fat32_mapper.d	(revision 1)
+++ trunk/kernel/obj.tsar/fs/fat32/fat32_mapper.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/fs/fat32/fat32_mapper.o: fs/fat32/fat32_mapper.c libk/stdint.h \
+ mm/page.h kern/atomic.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h libk/types.h \
+ kern/spinlock.h libk/list.h kern/kmagics.h kern/wait_queue.h \
+ kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h \
+ kern/event.h kern/time.h kern/device.h kern/driver.h kern/metafs.h \
+ libk/libk.h libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h mm/ppm.h \
+ mm/pmm.h arch/tsar/arch-pmm.h vfs/vfs.h kern/rwlock.h vfs/vfs-params.h \
+ vfs/vfs-private.h mm/mapper.h kern/radix.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h kern/thread.h \
+ kern/blkio.h fs/fat32/fat32-private.h
Index: trunk/kernel/obj.tsar/fs/fat32/fat32_node.d
===================================================================
--- trunk/kernel/obj.tsar/fs/fat32/fat32_node.d	(revision 1)
+++ trunk/kernel/obj.tsar/fs/fat32/fat32_node.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/fs/fat32/fat32_node.o: fs/fat32/fat32_node.c mm/kmem.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h mm/kcm.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ libk/string.h kern/thread.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/ctype.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h \
+ libk/bits.h kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h kern/cluster.h mm/ppm.h mm/heap_manager.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/page.h mm/mapper.h kern/radix.h kern/rwlock.h \
+ vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h fs/fat32/fat32-private.h
Index: trunk/kernel/obj.tsar/fs/ramfs/ramfs_context.d
===================================================================
--- trunk/kernel/obj.tsar/fs/ramfs/ramfs_context.d	(revision 1)
+++ trunk/kernel/obj.tsar/fs/ramfs/ramfs_context.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/fs/ramfs/ramfs_context.o: fs/ramfs/ramfs_context.c kern/kdmsg.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/spinlock.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h mm/pmm.h \
+ arch/tsar/arch-pmm.h kern/rwlock.h kern/wait_queue.h mm/page.h \
+ kern/cluster.h mm/ppm.h mm/heap_manager.h kern/thread.h mm/mapper.h \
+ kern/radix.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ fs/ramfs/ramfs.h fs/ramfs/ramfs-private.h
Index: trunk/kernel/obj.tsar/fs/ramfs/ramfs_file.d
===================================================================
--- trunk/kernel/obj.tsar/fs/ramfs/ramfs_file.d	(revision 1)
+++ trunk/kernel/obj.tsar/fs/ramfs/ramfs_file.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/fs/ramfs/ramfs_file.o: fs/ramfs/ramfs_file.c libk/stdint.h \
+ mm/kmem.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h mm/kcm.h \
+ libk/list.h kern/kmagics.h kern/spinlock.h libk/string.h mm/ppm.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/ctype.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/page.h mm/mapper.h kern/radix.h kern/rwlock.h \
+ vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h mm/ppn.h kern/thread.h \
+ kern/sys-vfs.h fs/ramfs/ramfs.h fs/ramfs/ramfs-private.h
Index: trunk/kernel/obj.tsar/fs/ramfs/ramfs_inode.d
===================================================================
--- trunk/kernel/obj.tsar/fs/ramfs/ramfs_inode.d	(revision 1)
+++ trunk/kernel/obj.tsar/fs/ramfs/ramfs_inode.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/fs/ramfs/ramfs_inode.o: fs/ramfs/ramfs_inode.c libk/stdint.h \
+ mm/kmem.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h mm/kcm.h \
+ libk/list.h kern/kmagics.h kern/spinlock.h libk/string.h mm/ppm.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/ctype.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/page.h mm/mapper.h kern/radix.h kern/rwlock.h \
+ vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h mm/ppn.h kern/thread.h \
+ kern/sys-vfs.h fs/ramfs/ramfs.h fs/ramfs/ramfs-private.h
Index: trunk/kernel/obj.tsar/fs/ramfs/ramfs_mapper.d
===================================================================
--- trunk/kernel/obj.tsar/fs/ramfs/ramfs_mapper.d	(revision 1)
+++ trunk/kernel/obj.tsar/fs/ramfs/ramfs_mapper.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/fs/ramfs/ramfs_mapper.o: fs/ramfs/ramfs_mapper.c libk/stdint.h \
+ mm/page.h kern/atomic.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h libk/types.h \
+ kern/spinlock.h libk/list.h kern/kmagics.h kern/wait_queue.h \
+ kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h \
+ kern/event.h kern/time.h kern/device.h kern/driver.h kern/metafs.h \
+ libk/libk.h libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h mm/ppm.h \
+ mm/pmm.h arch/tsar/arch-pmm.h vfs/vfs.h kern/rwlock.h vfs/vfs-params.h \
+ vfs/vfs-private.h mm/mapper.h kern/radix.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h kern/thread.h \
+ kern/blkio.h fs/ramfs/ramfs.h fs/ramfs/ramfs-private.h
Index: trunk/kernel/obj.tsar/fs/sysfs/sysfs_context.d
===================================================================
--- trunk/kernel/obj.tsar/fs/sysfs/sysfs_context.d	(revision 1)
+++ trunk/kernel/obj.tsar/fs/sysfs/sysfs_context.d	(revision 1)
@@ -0,0 +1,14 @@
+obj.tsar/fs/sysfs/sysfs_context.o: fs/sysfs/sysfs_context.c kern/device.h \
+ kern/driver.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h libk/list.h kern/kmagics.h kern/event.h kern/metafs.h \
+ libk/libk.h libk/string.h libk/ctype.h kern/spinlock.h mm/kmem.h \
+ mm/kcm.h vfs/vfs.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ libk/errno.h vfs/vfs-errno.h kern/atomic.h kern/rwlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/time.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h vfs/vfs-params.h \
+ vfs/vfs-private.h mm/mapper.h kern/radix.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h fs/sysfs/sysfs-private.h
Index: trunk/kernel/obj.tsar/fs/sysfs/sysfs_file.d
===================================================================
--- trunk/kernel/obj.tsar/fs/sysfs/sysfs_file.d	(revision 1)
+++ trunk/kernel/obj.tsar/fs/sysfs/sysfs_file.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/fs/sysfs/sysfs_file.o: fs/sysfs/sysfs_file.c libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h kern/device.h kern/driver.h libk/types.h \
+ libk/stdint.h libk/list.h kern/kmagics.h kern/event.h kern/metafs.h \
+ libk/libk.h libk/string.h libk/ctype.h kern/spinlock.h mm/kmem.h \
+ mm/kcm.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ kern/rr-sched.h kern/time.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h vfs/vfs.h kern/rwlock.h \
+ kern/wait_queue.h vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h \
+ kern/radix.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/thread.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h \
+ fs/sysfs/sysfs-private.h
Index: trunk/kernel/obj.tsar/fs/sysfs/sysfs_node.d
===================================================================
--- trunk/kernel/obj.tsar/fs/sysfs/sysfs_node.d	(revision 1)
+++ trunk/kernel/obj.tsar/fs/sysfs/sysfs_node.d	(revision 1)
@@ -0,0 +1,14 @@
+obj.tsar/fs/sysfs/sysfs_node.o: fs/sysfs/sysfs_node.c libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h mm/kmem.h libk/types.h libk/stdint.h mm/kcm.h \
+ libk/list.h kern/kmagics.h kern/spinlock.h libk/string.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/ctype.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h \
+ libk/bits.h kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h vfs/vfs.h kern/rwlock.h kern/wait_queue.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ fs/sysfs/sysfs-private.h
Index: trunk/kernel/obj.tsar/kern/almOS-date.h
===================================================================
--- trunk/kernel/obj.tsar/kern/almOS-date.h	(revision 1)
+++ trunk/kernel/obj.tsar/kern/almOS-date.h	(revision 1)
@@ -0,0 +1,1 @@
+#define ALMOS_DATE "02 May 2016 - 17:45:28"
Index: trunk/kernel/obj.tsar/kern/atomic.d
===================================================================
--- trunk/kernel/obj.tsar/kern/atomic.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/atomic.d	(revision 1)
@@ -0,0 +1,11 @@
+obj.tsar/kern/atomic.o: kern/atomic.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h \
+ kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h \
+ libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h mm/pmm.h \
+ arch/tsar/arch-pmm.h
Index: trunk/kernel/obj.tsar/kern/barrier.d
===================================================================
--- trunk/kernel/obj.tsar/kern/barrier.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/barrier.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/barrier.o: kern/barrier.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/errno.h vfs/vfs-errno.h \
+ libk/bits.h kern/task.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/atomic.h kern/rwlock.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h \
+ mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h \
+ vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/keysdb.h kern/signal.h kern/thread.h kern/cluster.h \
+ mm/ppm.h mm/heap_manager.h kern/barrier.h
Index: trunk/kernel/obj.tsar/kern/blkio.d
===================================================================
--- trunk/kernel/obj.tsar/kern/blkio.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/blkio.d	(revision 1)
@@ -0,0 +1,12 @@
+obj.tsar/kern/blkio.o: kern/blkio.c kern/cpu.h libk/utils.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h kern/kmagics.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h kern/spinlock.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h kern/thread.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cluster.h mm/ppm.h mm/heap_manager.h mm/page.h kern/blkio.h
Index: trunk/kernel/obj.tsar/kern/cluster.d
===================================================================
--- trunk/kernel/obj.tsar/kern/cluster.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/cluster.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/cluster.o: kern/cluster.c libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/types.h libk/stdint.h libk/errno.h \
+ vfs/vfs-errno.h kern/spinlock.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h kern/kmagics.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/cluster.h kern/mcs_sync.h mm/ppm.h kern/wait_queue.h kern/kdmsg.h \
+ libk/boot-info.h mm/heap_manager.h mm/pmm.h arch/tsar/arch-pmm.h \
+ kern/thread.h kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h \
+ mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h \
+ vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/keysdb.h kern/signal.h kern/dqdt.h
Index: trunk/kernel/obj.tsar/kern/cond_var.d
===================================================================
--- trunk/kernel/obj.tsar/kern/cond_var.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/cond_var.d	(revision 1)
@@ -0,0 +1,12 @@
+obj.tsar/kern/cond_var.o: kern/cond_var.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/errno.h vfs/vfs-errno.h \
+ kern/thread.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/semaphore.h kern/cond_var.h
Index: trunk/kernel/obj.tsar/kern/cpu.d
===================================================================
--- trunk/kernel/obj.tsar/kern/cpu.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/cpu.d	(revision 1)
@@ -0,0 +1,12 @@
+obj.tsar/kern/cpu.o: kern/cpu.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/errno.h vfs/vfs-errno.h \
+ kern/thread.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/cluster.h mm/ppm.h mm/heap_manager.h kern/cpu-trace.h kern/dqdt.h
Index: trunk/kernel/obj.tsar/kern/device.d
===================================================================
--- trunk/kernel/obj.tsar/kern/device.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/device.d	(revision 1)
@@ -0,0 +1,11 @@
+obj.tsar/kern/device.o: kern/device.c kern/device.h kern/driver.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h libk/list.h kern/kmagics.h kern/event.h kern/metafs.h \
+ libk/libk.h libk/string.h libk/ctype.h kern/spinlock.h mm/kmem.h \
+ mm/kcm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ kern/rr-sched.h kern/time.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h
Index: trunk/kernel/obj.tsar/kern/distlock.d
===================================================================
--- trunk/kernel/obj.tsar/kern/distlock.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/distlock.d	(revision 1)
@@ -0,0 +1,13 @@
+obj.tsar/kern/distlock.o: kern/distlock.c kern/system.h kern/hal-arch.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h arch/tsar/arch.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h \
+ kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h \
+ libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/thread.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cluster.h mm/ppm.h mm/heap_manager.h \
+ kern/distlock.h
Index: trunk/kernel/obj.tsar/kern/do_exec.d
===================================================================
--- trunk/kernel/obj.tsar/kern/do_exec.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/do_exec.d	(revision 1)
@@ -0,0 +1,17 @@
+obj.tsar/kern/do_exec.o: kern/do_exec.c libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/errno.h vfs/vfs-errno.h libk/types.h \
+ libk/stdint.h libk/libk.h libk/string.h libk/ctype.h libk/bits.h \
+ mm/kmem.h mm/kcm.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/task.h kern/atomic.h kern/rwlock.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h fs/sysfs/sysfs.h \
+ kern/rpc.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h \
+ mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h \
+ vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/keysdb.h kern/signal.h mm/page.h kern/thread.h \
+ kern/pid.h kern/sys-vfs.h kern/cluster.h mm/ppm.h mm/heap_manager.h \
+ kern/dqdt.h
Index: trunk/kernel/obj.tsar/kern/do_interrupt.d
===================================================================
--- trunk/kernel/obj.tsar/kern/do_interrupt.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/do_interrupt.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/kern/do_interrupt.o: kern/do_interrupt.c kern/cpu.h libk/utils.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h \
+ kern/device.h kern/driver.h kern/metafs.h libk/libk.h libk/string.h \
+ libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/task.h kern/rwlock.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h \
+ mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h \
+ vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/keysdb.h kern/signal.h kern/thread.h kern/cpu-trace.h
Index: trunk/kernel/obj.tsar/kern/do_syscall.d
===================================================================
--- trunk/kernel/obj.tsar/kern/do_syscall.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/do_syscall.d	(revision 1)
@@ -0,0 +1,17 @@
+obj.tsar/kern/do_syscall.o: kern/do_syscall.c kern/syscall.h libk/errno.h \
+ vfs/vfs-errno.h kern/time.h libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/list.h kern/kmagics.h \
+ kern/device.h kern/driver.h kern/event.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ kern/rr-sched.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/dma.h kern/thread.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h \
+ mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h \
+ vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h kern/keysdb.h \
+ kern/signal.h kern/sys-vfs.h kern/cpu-trace.h kern/semaphore.h \
+ kern/cond_var.h kern/barrier.h mm/page.h
Index: trunk/kernel/obj.tsar/kern/dqdt.d
===================================================================
--- trunk/kernel/obj.tsar/kern/dqdt.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/dqdt.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/kern/dqdt.o: kern/dqdt.c libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h libk/types.h \
+ libk/stdint.h libk/errno.h vfs/vfs-errno.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h kern/thread.h libk/list.h kern/kmagics.h \
+ kern/spinlock.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/signal.h \
+ kern/cluster.h mm/ppm.h mm/heap_manager.h kern/dqdt.h
Index: trunk/kernel/obj.tsar/kern/event.d
===================================================================
--- trunk/kernel/obj.tsar/kern/event.d	(revision 1)
+++ trunk/kernel/obj.tsar/kern/event.d	(revision 1)
@@ -0,0 +1,13 @@
+obj.tsar/kern/event.o: kern/event.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h \
+ kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h \
+ libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/cluster.h kern/mcs_sync.h mm/ppm.h kern/wait_queue.h kern/kdmsg.h \
+ libk/boot-info.h mm/heap_manager.h mm/pmm.h arch/tsar/arch-pmm.h \
+ kern/cpu-trace.h kern/thread.h
